Built LMS Help Center
API Reference and PlaygroundUsers and GroupsUsers

GET List users

Retrieve a paginated list of users with filtering and search

GET
/users

Retrieve a paginated list of users with filtering and search

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

limit?integer

Number of users to return (1-100)

Range1 <= value <= 100
Default25
offset?integer

Number of users to skip

Range0 <= value
Default0
role_id?integer

Filter by role id (see GET /roles)

status?string

Filter by profiles.status. Deleted users are excluded unless status=deleted.

Value in

  • "active"
  • "pending"
  • "invited"
  • "inactive"
  • "suspended"
  • "deleted"
search?string

Search in name or email

created_after?string

Filter users created after this timestamp (ISO 8601)

Formatdate-time
created_before?string

Filter users created before this timestamp (ISO 8601)

Formatdate-time
sort_by?string

Field to sort by

Default"created_at"

Value in

  • "created_at"
  • "email"
  • "first_name"
  • "last_name"
sort_order?string

Sort order

Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/users"
{  "data": [    {      "id": "{id}",      "email": "user@example.com",      "first_name": "string",      "last_name": "string",      "display_name": "string",      "avatar_url": "string",      "status": "active",      "role": {        "id": 0,        "name": "string",        "description": "string"      },      "manager_id": "{manager_id}",      "timezone": "string",      "groups": [        {          "id": "{id}",          "name": "string",          "description": "string"        }      ],      "custom_fields": {        "property1": "string",        "property2": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "last_sign_in_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}